aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.scripts/menuducksearch
diff options
context:
space:
mode:
Diffstat (limited to 'dotfiles/.scripts/menuducksearch')
-rwxr-xr-xdotfiles/.scripts/menuducksearch18
1 files changed, 18 insertions, 0 deletions
diff --git a/dotfiles/.scripts/menuducksearch b/dotfiles/.scripts/menuducksearch
new file mode 100755
index 0000000..6965b69
--- /dev/null
+++ b/dotfiles/.scripts/menuducksearch
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Gives a dmenu prompt to search DuckDuckGo.
+# Without input, will open DuckDuckGo.com.
+# Anything else, it search it.
+
+# Source settings from .bemenurc
+. $HOME/.bemenurc
+
+pgrep -x dmenu && exit
+
+choice=$(echo "" | bemenu -i -p "Search DuckDuckGo:" $BEMENU_OPTIONS) || exit 1
+
+if [ "$choice" = "" ]; then
+ $BROWSER "https://duckduckgo.com"
+else
+ $BROWSER "https://duckduckgo.com/?q=$choice&t=ffab&atb=v1-1"
+fi